Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.seam
Enum ComponentType

    java.lang.Object
      java.lang.Enum<ComponentType>
          org.jboss.seam.ComponentType

All Implemented Interfaces:
  Serializable, Comparable<ComponentType>

    public enum ComponentType

extends Enum<ComponentType>

The types of components understood by Seam.

Author:
  Gavin King

Enum Constant Summary
`ENTITY_BEAN`
`JAVA_BEAN`
`MESSAGE_DRIVEN_BEAN`
`STATEFUL_SESSION_BEAN`
`STATELESS_SESSION_BEAN`

Method Summary
`ScopeType` | `getDefaultScope()`
`boolean` | `isEjb()`
`boolean` | `isSessionBean()`
`boolean` | `isStateless()`
`static ComponentType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ComponentType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ENTITY_BEAN

    public static final ComponentType ENTITY_BEAN

### STATELESS_SESSION_BEAN

    public static final ComponentType STATELESS_SESSION_BEAN

### STATEFUL_SESSION_BEAN

    public static final ComponentType STATEFUL_SESSION_BEAN

### MESSAGE_DRIVEN_BEAN

    public static final ComponentType MESSAGE_DRIVEN_BEAN

### JAVA_BEAN

    public static final ComponentType JAVA_BEAN

Method Detail

### values

    public static final ComponentType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ComponentType c : ComponentType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ComponentType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### isEjb

    public boolean isEjb()

### isSessionBean

    public boolean isSessionBean()

### isStateless

    public boolean isStateless()

### getDefaultScope

    public ScopeType getDefaultScope()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD